Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlIndex Class Reference

represents a Mssql-specific index More...

## Public Member Functions

| constructor (string n_name, bool n_unique, hash n_cols, __7_ string n_filegroup)
| creates the object from the arguments
string | getCreateSql (string table_name, __7_ hash opt)
| returns a string that can be used to create the index in the database
string | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the index in the database

## Public Attributes

__7_ string | filegroup
| the tablespace (filegroup) name of the index

## Protected Member Functions

bool | equalImpl (AbstractIndex ix)
| returns True if the argument is equal to the current index, False if not

## Detailed Description

represents a Mssql-specific index